// Copyright by Yves Goergen
// Website: http://beta.unclassified.de/
// This file is licensed under the terms of the GNU General Public License (GPL).

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using Microsoft.Win32;
using System.Drawing;

namespace Unclassified
{
	public partial class WinApi
	{
		// From WinApi_Windows.cs
		// Windows messages
		public const int WM_MOUSEMOVE = 0x200;
		public const int WM_MOUSEWHEEL = 0x20A;

		// GetWindowLong constants
		public const int GWL_STYLE = -16;
		public const int GWL_EXSTYLE = -20;

		[DllImport("user32")]
		public static extern bool IsWindowVisible(IntPtr hWnd);
		[DllImport("user32")]
		public static extern uint GetWindowLong(IntPtr hWnd, int nIndex);
		[DllImport("user32")]
		public static extern int GetClassName(IntPtr hWnd, [MarshalAs(UnmanagedType.LPStr)] StringBuilder buf, int nMaxCount);
		[DllImport("user32.dll")]
		public static extern bool GetWindowRect(IntPtr hWnd, out Rectangle lpRect);
		[DllImport("user32")]
		public static extern int GetWindowThreadProcessId(IntPtr hWnd, out int lpdwProcessId);
		[DllImport("user32")]
		public static extern bool PostMessage(IntPtr hWnd, int msg, uint wParam, uint lParam);
		[DllImport("user32.dll")]
		public static extern bool ClientToScreen(IntPtr hWnd, ref Point lpPoint);
		[DllImport("user32.dll")]
		public static extern bool ScreenToClient(IntPtr hWnd, ref Point lpPoint);

		// From WinApi_Input.cs
		[DllImport("user32")]
		public static extern bool AttachThreadInput(int idAttach, int idAttachTo, bool fAttach);
	}
}
